import request from '@/utils/request'

// 查询基础配置-账户配置、小程序配置的内容列表
export function listConfig(query) {
  return request({
    url: '/base/config/list',
    method: 'get',
    params: query
  })
}

// 查询基础配置-账户配置、小程序配置的内容详细
export function getConfig(id) {
  return request({
    url: '/base/config/' + id,
    method: 'get'
  })
}

// 新增基础配置-账户配置、小程序配置的内容
export function addConfig(data) {
  return request({
    url: '/base/config',
    method: 'post',
    data: data
  })
}

// 修改基础配置-账户配置、小程序配置的内容
export function updateConfig(data) {
  return request({
    url: '/base/config',
    method: 'put',
    data: data
  })
}

// 删除基础配置-账户配置、小程序配置的内容
export function delConfig(id) {
  return request({
    url: '/base/config/' + id,
    method: 'delete'
  })
}
